Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 607878 - Review Request: perl-XML-TreePP - Pure Perl implementation for parsing/writing XML documents
Review Request: perl-XML-TreePP - Pure Perl implementation for parsing/writin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark Chappell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 607873 607877
  Show dependency treegraph
 
Reported: 2010-06-25 00:28 EDT by Jeroen van Meeuwen
Modified: 2015-01-01 17:51 EST (History)
5 users (show)

See Also:
Fixed In Version: perl-XML-TreePP-0.39-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 13:12:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tremble: fedora‑review+
opensource: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Mark Chappell 2010-06-25 10:26:15 EDT
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
  [x] Versioned MODULE_COMPAT_ Requires
  [x] Non-Versioned CPAN URL tag
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: https://koji.fedoraproject.org/koji/taskinfo?taskID=2272386
 [!] Rpmlint output:

perl-XML-TreePP.noarch: E: script-without-shebang /usr/share/perl5/XML/TreePP.pm
perl-XML-TreePP.noarch: W: spurious-executable-perm /usr/share/doc/perl-XML-TreePP-0.39/Changes
2 packages and 0 specfiles checked; 1 errors, 1 warnings.


 [x] Package is not relocatable.
 [x] Buildroot is correct
     Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license. 
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SRPM: 3446f8318be430a80227c7eea44a67a7
     Upstream: 3446f8318be430a80227c7eea44a67a7
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [!] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [x] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: https://koji.fedoraproject.org/koji/taskinfo?taskID=2272386
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: fedora-f13
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=51, Tests=1058,  6 wallclock secs ( 0.19 usr  0.29 sys +  2.32 cusr  0.92 csys =  3.72 CPU)
Result: PASS

=== COMMENTS ===

These two files are executable when they shouldn't be, otherwise looks fine:

/usr/share/perl5/XML/TreePP.pm
/usr/share/doc/perl-XML-TreePP-0.39/Changes
Comment 3 Mark Chappell 2010-06-27 07:36:21 EDT
As with Net-IMAP-Simple, the Source0 URL appears to be duff.  However you're using the CPAN tarball so I'll approve the package

package Approved
Comment 4 Jeroen van Meeuwen 2010-06-27 07:58:00 EDT
New Package CVS Request
=======================
Package Name: perl-XML-TreePP
Short Description: Pure Perl implementation for parsing/writing XML documents
Owners: kanarip
Branches: EL-4 EL-5 EL-6 F-12 F-13 devel
InitialCC:
Comment 5 Jason Tibbitts 2010-06-27 12:53:06 EDT
CVS done (by process-cvs-requests.py).
Comment 6 Fedora Update System 2010-06-28 05:38:09 EDT
perl-XML-TreePP-0.39-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-XML-TreePP-0.39-3.el5
Comment 7 Fedora Update System 2010-06-28 05:38:15 EDT
perl-XML-TreePP-0.39-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-XML-TreePP-0.39-3.fc12
Comment 8 Fedora Update System 2010-06-28 05:38:20 EDT
perl-XML-TreePP-0.39-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-XML-TreePP-0.39-3.fc13
Comment 9 Fedora Update System 2010-06-28 13:12:22 EDT
perl-XML-TreePP-0.39-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-06-28 13:13:14 EDT
perl-XML-TreePP-0.39-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-07-21 08:23:56 EDT
perl-XML-TreePP-0.39-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 marianne@tuxette.fr 2014-12-30 10:25:25 EST
Package Change Request
======================
Package Name: perl-XML-TreePP
New Branches: epel7
Owners: jehane
InitialCC: perl-sig
Comment 13 Till Maas 2015-01-01 17:51:10 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.